Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io
Class DBConnectionPool

    java.lang.Object
      org.deegree.io.DBConnectionPool

    public class DBConnectionPool

extends Object

class to manage a database connection pool. this is part of the combination of the object pool pattern an the singelton pattern.

Version:
  07.02.2001
Author:
  Andreas Poth

Method Summary
`Connection` | `acquireConnection(String driver, String database, Properties properties)`
`Connection` | `acquireConnection(String driver, String database, String user, String password)`
`static DBConnectionPool` | `getInstance()` realize singelton pattern using double checked locking pattern.
`void` | `releaseConnection(Connection con, String driver, String database, Properties properties)` releases a connection back to the pool
`void` | `releaseConnection(Connection con, String driver, String database, String user, String password)` releases a connection back to the pool

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static DBConnectionPool getInstance()

  realize singelton pattern using double checked locking pattern.

  Returns:
    an instance of the data base pool. it is gauranteed that there exists only one instance of pool for each submitted class name.

### acquireConnection

    public Connection acquireConnection(String driver,
                                        String database,
                                        String user,
                                        String password)
                                 throws DBPoolException

  Parameters:
    `driver` - driver to look for
    `database` - the database to open
    `user` - the username
    `password` - the password.
  Returns:
    get a Connection from the Connection pool
  Throws:
    `DBPoolException`

### acquireConnection

    public Connection acquireConnection(String driver,
                                        String database,
                                        Properties properties)
                                 throws DBPoolException

  Parameters:
    `driver` - driver to look for
    `database` - the database to open
    `properties` - the properties of the database
  Returns:
    get a Connection from the Connection pool
  Throws:
    `DBPoolException`

### releaseConnection

    public void releaseConnection(Connection con,
                                  String driver,
                                  String database,
                                  String user,
                                  String password)
                           throws DBPoolException

  releases a connection back to the pool

  Parameters:
    `con` - connections to be released
    `driver` - driver to look for
    `database` - the database to open
    `user` - the username
    `password` - the password.
  Throws:
    `DBPoolException`

### releaseConnection

    public void releaseConnection(Connection con,
                                  String driver,
                                  String database,
                                  Properties properties)
                           throws Exception

  releases a connection back to the pool

  Parameters:
    `con` - connections to be released
    `driver` - driver to look for
    `database` - the database to open
    `properties` - containing username and password.
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org